[[Ruby 1.9:]] Etc.sysconfdir hides sysconfdir on windows

03/07/2012 03:16 PM - mpapis (Michal Papis)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 2.6   

ruby -v: ruby 1.9.3p125 (2012-02-16 revision

34643) [x86_64-linux]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN

Description

While checking on this issue https://gist.github.com/1981223 I found out that Etc.sysconfdir is inconsistently behaving between Linux

and Windows.

This issue is related to rubygems also: https://github.com/rubygems/rubygems/pull/291

On linux you can change sysconfdir with:

--sysconfdir

--prefix

and the calculated path will be available for rubygems and via Etc.sysconfdir

But on Windows users have no option to force a sysconfdir, they will always use default location (~ C:\Documents and Settings\All

Users\Application Data).

Also this is not consistent to the documentation header for this function.

Is this intended behavior ?

I could see few occasions where it should be supported to allow switching to system location even --prefix / --sysconfdir was used,

but this should be rather configurable not a forced setting.

Even if this is not being implemented/fixed could I get a statement if it is good for rubygems to follow Etc.sysconfdir behavior or it

should rather using RbConfig::CONFIG['sysconfdir'] ?

Associated revisions

Revision e4ff51b05a13e0a1d304a1022a9a609f7cf42f71 - 10/21/2017 02:19 PM - nobu (Nobuyoshi Nakada)

sysconfdir on Windows

ext/etc/etc.c (etc_sysconfdir): mentioned special case on

Windows.  [ruby-core:43110] [Bug #6121]

win32/Makefile.sub (config.status): sysconfdir is not used on

Windows.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60279 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e4ff51b0 - 10/21/2017 02:19 PM - nobu (Nobuyoshi Nakada)

sysconfdir on Windows

ext/etc/etc.c (etc_sysconfdir): mentioned special case on

Windows.  [ruby-core:43110] [Bug #6121]

win32/Makefile.sub (config.status): sysconfdir is not used on

Windows.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60279 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8fc8587e05163f0002915d06fbb20386cbcbb2ef - 10/24/2017 01:48 PM - nobu (Nobuyoshi Nakada)

sysconfdir on Windows
https://gist.github.com/1981223
https://github.com/rubygems/rubygems/pull/291


ext/etc/etc.c (etc_sysconfdir): mentioned special case on

Windows.  [ruby-core:43110] [Bug #6121]

ext/etc/extconf.rb: define SYSCONFDIR only if sysconfdir is set

in RbConfig::CONFIG and not empty.

win32/Makefile.sub (config.status): sysconfdir is not used on

Windows.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60402 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8fc8587e - 10/24/2017 01:48 PM - nobu (Nobuyoshi Nakada)

sysconfdir on Windows

ext/etc/etc.c (etc_sysconfdir): mentioned special case on

Windows.  [ruby-core:43110] [Bug #6121]

ext/etc/extconf.rb: define SYSCONFDIR only if sysconfdir is set

in RbConfig::CONFIG and not empty.

win32/Makefile.sub (config.status): sysconfdir is not used on

Windows.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60402 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/07/2012 10:25 PM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to usa (Usaku NAKAMURA)

#2 - 10/31/2012 04:30 PM - usa (Usaku NAKAMURA)

- Category set to build

- Priority changed from 3 to Normal

- Target version set to 2.0.0

#3 - 02/18/2013 09:30 PM - mame (Yusuke Endoh)

- Target version changed from 2.0.0 to 2.6

Postponing it to next minor.

Usa-san, let me know if you think it is a significant issue.

--

Yusuke Endoh mame@tsg.ne.jp

#4 - 10/21/2017 11:53 AM - usa (Usaku NAKAMURA)

- Assignee changed from usa (Usaku NAKAMURA) to nobu (Nobuyoshi Nakada)

#5 - 10/21/2017 02:19 PM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

Applied in changeset trunk|r60279.

sysconfdir on Windows

ext/etc/etc.c (etc_sysconfdir): mentioned special case on

Windows.  [ruby-core:43110] [Bug #6121]

win32/Makefile.sub (config.status): sysconfdir is not used on

Windows.
